## camlp5-buildscripts 0.02

=== debian/changelog ===
camlp5-buildscripts (0.02-1) unstable; urgency=medium

  * Initial release (Closes: #1042958)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Aug 2023 12:04:17 +0200

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/camlp5/camlp5-buildscripts/tags?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/v?@ANY_VERSION@

## camlp5-buildscripts 0.03

=== src/Makefile ===
WD=$(shell pwd)
TOP=..

NOT_OCAMLFIND=not-ocamlfind
OCAMLFIND=ocamlfind
PACKAGES=re,fmt,unix,bos

EXE=ya-wrap-ocamlfind fixin join_meta LAUNCH

all: $(EXE)
	$(MAKE) DESTDIR=$(WD)/$(TOP)/local-install/ install

ya-wrap-ocamlfind: ya_wrap_ocamlfind.ml
	$(OCAMLFIND) ocamlc -linkpkg -linkall -package $(PACKAGES) $< -o $@

join_meta: join_meta.ml
	$(OCAMLFIND) ocamlc -linkpkg -linkall -package $(PACKAGES) $< -o $@

fixin: fixin.ml
	$(OCAMLFIND) ocamlc -linkpkg -linkall -package $(PACKAGES) $< -o $@

LAUNCH: LAUNCH.ml
	$(OCAMLFIND) ocamlc -linkpkg -linkall -package $(PACKAGES) $< -o $@

install::
	mkdir -p $(DESTDIR)/lib
	touch META
	$(NOT_OCAMLFIND) reinstall-if-diff camlp5-buildscripts -destdir $(DESTDIR)/lib META $(EXE)
	rm -f META

clean::
	rm -f *.bak *.cm* $(EXE) META

=== debian/changelog ===
camlp5-buildscripts (0.03-1build6) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 19:43:44 +0100

camlp5-buildscripts (0.03-1build5) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 07:56:04 +0100

camlp5-buildscripts (0.03-1build4) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:20:21 +0100

camlp5-buildscripts (0.03-1build3) noble; urgency=medium

  * Rebuild against 'new OCAML ABIs'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Dec 2023 07:54:24 +0100

camlp5-buildscripts (0.03-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 17:08:45 +0100

camlp5-buildscripts (0.03-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Aug 2023 15:39:33 +0200

camlp5-buildscripts (0.03-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Aug 2023 06:54:28 +0200

=== debian/control ===
Source: camlp5-buildscripts
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libfmt-ocaml-dev,
 libre-ocaml-dev,
 libbos-ocaml-dev,
 not-ocamlfind,
 ocaml,
 dh-ocaml
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/camlp5-buildscripts.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/camlp5-buildscripts
Homepage: https://github.com/camlp5/camlp5-buildscripts

Package: camlp5-buildscripts
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Camlp5 build scripts
 These are build-scripts that are helpful in building Camlp5 and
 packages based on Camlp5. As such, they need to not depend on
 Camlp5. The command are not installed in a bin-directory, but in the
 package-directory, hence invoked via the "ocamlfind package/exe"
 method.

## camlp5-buildscripts 0.04

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,8 @@
+ifeq ($(OS),Windows_NT)
+WD=$(shell cygpath --absolute --windows .)
+else
 WD=$(shell pwd)
+endif
 TOP=..
 
 NOT_OCAMLFIND=not-ocamlfind

=== test/Makefile ===

TESTS=LAUNCH join_meta ya-wrap-ocamlfind

all:

test: $(TESTS)

%: %.md
	rm -f $<.corrected
	ocaml-mdx test $<
	test '!' -f $<.corrected || diff -Bwiu $< $<.corrected

clean::
	rm -f *.corrected

=== debian/changelog ===
camlp5-buildscripts (0.04-1build5) plucky; urgency=medium

  * Rebuild against new ocaml ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:53:22 +0100

camlp5-buildscripts (0.04-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:42:43 +0100

camlp5-buildscripts (0.04-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:32:41 +0100

camlp5-buildscripts (0.04-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 16:24:43 +0100

camlp5-buildscripts (0.04-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:17:52 +0100

camlp5-buildscripts (0.04-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 31 Dec 2024 17:58:50 +0100

## camlp5-buildscripts 0.06

=== Makefile ===

SYSDIRS= src
TESTDIRS= test
OCAMLFIND=ocamlfind

all: sys
	set -e; for i in $(TESTDIRS); do cd $$i; $(MAKE) all; cd ..; done

sys:
	set -e; for i in $(SYSDIRS); do cd $$i; $(MAKE) all; cd ..; done

test: all
	set -e; for i in $(TESTDIRS); do cd $$i; $(MAKE) test; cd ..; done

bootstrap:
	$(MAKE) -C pa_ppx_src bootstrap

install: all
	$(OCAMLFIND) remove camlp5-buildscripts || true
	$(OCAMLFIND) install camlp5-buildscripts local-install/lib/camlp5-buildscripts/*

uninstall:
	$(OCAMLFIND) remove camlp5-buildscripts || true

clean::
	set -e; for i in $(SYSDIRS) $(TESTDIRS); do cd $$i; $(MAKE) clean; cd ..; done
	rm -rf docs local-install

=== pa_ppx_src/Makefile ===

NOT_OCAMLFIND=not-ocamlfind

bootstrap: ../src/join_meta.ml ../src/ya_wrap_ocamlfind.ml ../src/fixin.ml ../src/LAUNCH.ml


../src/%.ml: %.ml
	$(NOT_OCAMLFIND) preprocess -package pa_ppx_regexp,camlp5.pr_o -ppopt -pa_ppx_regexp-nostatic -syntax camlp5o $< > $@.NEW && \
	mv $@.NEW $@

.SUFFIXES: .ml

=== src/Makefile ===
ifeq ($(OS),Windows_NT)
WD=$(shell cygpath --absolute --windows .)
EXE=.exe
else
WD=$(shell pwd)
EXE=
endif
TOP=..

NOT_OCAMLFIND=not-ocamlfind
OCAMLFIND=ocamlfind
PACKAGES=re,fmt,unix,bos

BIN=ya-wrap-ocamlfind$(EXE) fixin$(EXE) join_meta$(EXE) LAUNCH$(EXE)

all: $(BIN)
	$(MAKE) DESTDIR=$(WD)/$(TOP)/local-install/ install

ya-wrap-ocamlfind$(EXE): ya_wrap_ocamlfind.ml
	$(OCAMLFIND) ocamlc -linkpkg -linkall -package $(PACKAGES) $< -o $@

join_meta$(EXE): join_meta.ml
	$(OCAMLFIND) ocamlc -linkpkg -linkall -package $(PACKAGES) $< -o $@

fixin$(EXE): fixin.ml
	$(OCAMLFIND) ocamlc -linkpkg -linkall -package $(PACKAGES) $< -o $@

LAUNCH$(EXE): LAUNCH.ml
	$(OCAMLFIND) ocamlc -linkpkg -linkall -package $(PACKAGES) $< -o $@

install::
	mkdir -p $(DESTDIR)/lib
	touch META
	$(NOT_OCAMLFIND) reinstall-if-diff camlp5-buildscripts -destdir $(DESTDIR)/lib META $(BIN)
	rm -f META

clean::
	rm -f *.bak *.cm* $(BIN) META

=== test/Makefile ===

TESTS=LAUNCH join_meta ya-wrap-ocamlfind

all:

test: $(TESTS)

%: %.md
	rm -f $<.corrected
	ocaml-mdx test $<
	test '!' -f $<.corrected || diff -I '```' -Bwiu $< $<.corrected

clean::
	rm -f *.corrected

=== debian/changelog ===
camlp5-buildscripts (0.06-1build4) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:38:09 +0200

camlp5-buildscripts (0.06-1build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 02:54:48 +0200

camlp5-buildscripts (0.06-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jun 2025 09:44:01 +0200

camlp5-buildscripts (0.06-1build1) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 15:39:38 -0400

camlp5-buildscripts (0.06-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Mar 2025 09:45:44 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := debian/camlp5-buildscripts

OCAMLFIND_DESTDIR := $(DESTDIR)$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

%:
	dh $@ --with ocaml

override_dh_auto_build:
	$(MAKE) sys

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	dh_auto_install

override_dh_auto_test:
# Needs mdx

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/camlp5/camlp5-buildscripts/tags?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/v?@ANY_VERSION@
